import 'package:flutter/foundation.dart';

class Data extends ChangeNotifier {

  // randomization
  bool _searchingImage = false;
  String _image = '';

  bool get searchingImage => _searchingImage;

  set searchingImage(bool value) {
    _searchingImage = value;
    notifyListeners();
  }

  String get image => _image;

  set updateImage(String value) {
    _image = value;
    notifyListeners();
  }

  void resetGame() {
    _image = '';
    notifyListeners();
  }
}
